<template>
  <v-container>
    <v-row justify="center">
      <v-col align="center">
        <p>Run an experiment without selecting any preset.</p>
        <p>Any parameter which is not hard-coded on the board software will be asked at runtime.</p>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { experiment } from "@/plugins/experiment.js";

export default {
  name: "NoPreset",
  methods: {
    pickPreset() {
      this.$axios
        .post("/presets", {
          configuration: {},
        })
        .then((res) => {
          let preset_loaded = res.data.result;
          if (preset_loaded) {
            experiment.init(res.data.loops);
            this.$notify.success("At runtime!");
          } else {
            this.$notify.error("Error while setting the preset");
          }
        })
        .catch(() => {
          this.$notify.error("Error while saving settings");
        });
    },
  },
};
</script>